<template>
  <div class="eContainer">
    <c-bus-button :$pntvm="this"></c-bus-button>
    <el-form
      :model="model"
      :rules="rules"
      ref="modelForm"
      label-width="150px"
      label-position="right"
      size="small"
      :validate-on-rule-change="false"
    >
      <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        <!--PD000002 -->
        <el-tab-pane label="canp" name="canp">
          <c-content>
            <m-canp :model="model" :codes="codes" />
          </c-content>
        </el-tab-pane>
      </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api";
import CodeTable from "~/config/CodeTable";
import Lttcan from "~/model/Lttcan";
import CommonProcess from "~/mixin/CommonProcess";
import Check from "~/model/Lttcan/Check";
import Default from "~/model/Lttcan/Default";
import Pattern from "~/model/Lttcan/Pattern";
import Canp from "./Canp";

export default {
  name: "Lttcan",
  components: {
    "m-canp": Canp,
  },
  provide() {
    return {
      root: this,
    };
  },
  mixins: [CommonProcess], // 里面包含了Default、Check等的公共处理
  data() {
    return {
      tabVal: "canp",
      trnName: "lttcan",
      model: new Lttcan().data,
      checkRules: Check,
      defaultRules: Default,
      pattern: Pattern,
      rules: null,
      codes: {
        ...CodeTable,
      },
    };
  },
  methods: {
    tabClick() {},
  },
  created: async function () {
    console.log("进入lttcan交易");
    let rtnmsg = await this.init({});
    if (rtnmsg.respCode == SUCCESS) {
      //TODO 处理数据逻辑
    } else {
      this.$notify.error({ title: "错误", message: "服务请求失败！" });
    }
  },
};
</script>
<style>
</style>
